0

I used to play with Industrialcraft through Technic all the time, and now that I'm playing Minecraft again, I went looking for it however I can't find much up-to-date information.

Is Industrialcraft still in development and compatible with the latest version of Minecraft?

  • depends on what you mean by "similar". If you're not familiar with Thermal Expansion or RoteryCraft, check them out to see if either scratches the itch. – LindaJeanne Mar 17 '16 at 20:37
1

There is a new version of IndustrialCraft called IC² which supports minecraft version 1.7.10. This means that it wont work with the newest version of Minecraft, but if you have an earlier installation of Minecraft version 1.7.10 or older, you can install it following this link which leads to the latest stable version.

However, the most popular and easiest way to play (and the way i would recommend doing it) is by installing a modpack-launcher, with the most popular right now being Feed-The-Beast or ATLauncher, where you get a bunch of different modpacks consisting of different mods made to fit together. There you can surely find a tech-modpack with IC² included. If you just want pure IC², in atleast ATLauncher (FTB needs to be confirmed) have the option to only include it and no other mods. Just follow link below to either ATL or FTB.

Good luck!

|improve this answer|||||
  • Thanks! Do you know if you are able to disable mods in FTB? I don't really want a bunch of random mobs running around messing with me – Funkyguy Mar 17 '16 at 21:18
  • There should be a option do disable unwanted mods, yes, but i'm not 100 % sure. But i AM sure that there is in ATlauncher – Math-ias Mar 17 '16 at 21:59

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.